(*****************************************************************)
(*                                                               *)
(*  ASDL to Caml translator -- support library                   *)
(*  Copyright (c) 2000 by Dmitry Lomov (dsl@tepkom.ru)           *)
(*  Distributed under GNU Library Public License                 *)
(*                                                               *)
(*****************************************************************)

(* $Id: identifier.mli,v 1.1.1.1 2000/12/05 09:06:52 dsl Exp $ *)

type t

val from_string : string -> t
val to_string : t -> string
val to_const_string : t -> string (* Unsafe!!! *)

val eq : t -> t -> bool
val compare : t -> t -> int 
