(*****************************************************************)
(*                                                               *)
(*  ASDL to Caml translator                                      *)
(*  Copyright (c) 2000 by Dmitry Lomov (dsl@tepkom.ru)           *)
(*  Distributed under GNU Public License                         *)
(*                                                               *)
(*****************************************************************)

(* $Id: params.mli,v 1.1.1.1 2000/12/05 09:06:52 dsl Exp $ *)

type t = 
    { mutable cur_file_name : string;
      mutable separate : bool;
      mutable filenames : bool
    }

val v : t 

type error = Error | Warning

val msg : error -> string -> (int*int*int) option -> unit

val terminate : unit -> unit
