(*****************************************************************)
(*                                                               *)
(*  ASDL to Caml translator                                      *)
(*  Copyright (c) 2000 by Dmitry Lomov (dsl@tepkom.ru)           *)
(*  Distributed under GNU Public License                         *)
(*                                                               *)
(*****************************************************************)

(* $Id: asdlDef.ml,v 1.1.1.1 2000/12/05 09:06:52 dsl Exp $ *)

type id = string

type typeId = id option * id

type fieldTypeMod = Straight | Optional | Sequence

type fieldIdMod = User | Generated

type field = fieldIdMod * id * fieldTypeMod * typeId

type constructor = id * (field list)

type typeExpr = 
    Product of field list
  | Sum of constructor list * (field list)

type typeDef = id * typeExpr

type moduleDef = id * (id list) * (typeDef list)

let something () = ()
