#!/bin/sh
if [ $# -lt 1 ];
then echo "Usage: $0 <filename> [-intf|-impl]"; exit 2;
fi
TMPFILE=`mktemp ${TMPDIR:-/tmp}/$1.XXXXXXXX` || exit 2
case $1 in
    *.mli) PARAM=-intf;;
    *.ml) PARAM=-impl;;
    *) PARAM=$2
esac
cp $1 $TMPFILE || exit 2
if camlp4o pa_o.cmo pr_o.cmo -o $1 $PARAM $TMPFILE;
then rm $TMPFILE;
else mv $TMPFILE $1;
fi
