(*****************************************************************)
(*                                                               *)
(*  ASDL to Caml translator -- support library                   *)
(*  Copyright (c) 2000 by Dmitry Lomov (dsl@tepkom.ru)           *)
(*  Distributed under GNU Library Public License                 *)
(*                                                               *)
(*****************************************************************)

(* $Id: identifier.ml,v 1.1.1.1 2000/12/05 09:06:52 dsl Exp $ *)

type t = string

let (hash : (string,string) Hashtbl.t) = Hashtbl.create 253

let from_string s = 
  try 
    Hashtbl.find hash s 
  with
    Not_found ->
      Hashtbl.add hash s s; s

let to_string id = String.copy id
let to_const_string s = s

let eq id1 id2 = (id1 == id2)
let compare id1 id2 =  
  if id1 == id2 then 0 else compare id1 id2
