(*****************************************************************)
(*                                                               *)
(*  ASDL to Caml translator                                      *)
(*  Copyright (c) 2000 by Dmitry Lomov (dsl@tepkom.ru)           *)
(*  Distributed under GNU Public License                         *)
(*                                                               *)
(*****************************************************************)

(* $Id: pp.ml,v 1.1.1.1 2000/12/05 09:06:52 dsl Exp $ *)

let channel = ref stdout

let cur_indent = ref 0

let indent_step = ref 2

let cur_margin = ref 70

let set_channel ch = channel := ch

let format s = 
  output_string !channel s

let indent () =
  output_char !channel '\n';
  for i = 1 to !cur_indent do
    output_char !channel ' '
  done

let incr () =
  cur_indent := !cur_indent + !indent_step

let decr () =
  cur_indent := !cur_indent - !indent_step

let set_indent_step step =
  indent_step := step
